<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가

include_once("$g4[path]/lib/outlogin.lib.php");
include_once("$g4[path]/lib/poll.lib.php");
include_once("$g4[path]/lib/visit.lib.php");
include_once("$g4[path]/lib/connect.lib.php");
include_once("$g4[path]/lib/popular.lib.php");
include_once("$g4[path]/lib/groupmenu.lib.php");
include_once("$g4[path]/lib/latest.lib.php");
include_once("$g4[path]/lib/latest.num.lib.php");
include_once("$g4[path]/lib/menu.lib.php");
include_once("$g4[path]/lib/new.lib.php");

//스위치 문으로 구분한다
switch (TRUE) {

	// index
	case preg_match("/(index.php)$/", $_SERVER[PHP_SELF]) :
		$s_menu = "index";
        break;
	
	// search
	case preg_match("/(search.php)$/", $_SERVER[PHP_SELF]) :
		$s_menu = "search";
        break;

	// 01
    case preg_match("/(01.php)$/", $_SERVER[PHP_SELF]) :
	case preg_match("/^(01_)/", $bo_table) :
	case $gr_id == "01" :
        $s_menu = "01";
        break;

	// 02
    case preg_match("/(02.php)$/", $_SERVER[PHP_SELF]) :
	case preg_match("/^(02_)/", $bo_table) :
	case $gr_id == "02" :
        $s_menu = "02";
        break;

	// 03
    case preg_match("/(03.php)$/", $_SERVER[PHP_SELF]) :
	case preg_match("/^(03_)/", $bo_table) :
	case $gr_id == "03" :
        $s_menu = "03";
        break;

	// 04
    case preg_match("/(04.php)$/", $_SERVER[PHP_SELF]) :
	case preg_match("/^(04_)/", $bo_table) :
	case $gr_id == "04" :
        $s_menu = "04";
        break;

	// 05
    case preg_match("/(05.php)$/", $_SERVER[PHP_SELF]) :
	case preg_match("/^(05_)/", $bo_table) :
	case $gr_id == "05" :
        $s_menu = "05";
        break;
	
	// 06
    case preg_match("/(06.php)$/", $_SERVER[PHP_SELF]) :
	case preg_match("/^(06_)/", $bo_table) :
	case $gr_id == "06" :
        $s_menu = "06";
        break;

	// 07
    case preg_match("/(07.php)$/", $_SERVER[PHP_SELF]) :
	case preg_match("/^(07_)/", $bo_table) :
	case $gr_id == "07" :
        $s_menu = "07";
        break;

	// 08
    case preg_match("/(08.php)$/", $_SERVER[PHP_SELF]) :
	case preg_match("/^(08_)/", $bo_table) :
	case $gr_id == "08" :
        $s_menu = "08";
        break;
	
	// 09
    case preg_match("/(09.php)$/", $_SERVER[PHP_SELF]) :
	case preg_match("/^(09_)/", $bo_table) :
	case $gr_id == "09" :
        $s_menu = "09";
        break;
	
	// 10
    case preg_match("/(10.php)$/", $_SERVER[PHP_SELF]) :
	case preg_match("/^(10_)/", $bo_table) :
	case $gr_id == "10" :
        $s_menu = "10";
        break;
	
	default : 
		break;
}
?>
